View unanswered posts | View active topics



Reply to topic  [ 7 posts ] 
How to compile after installing the 64-bit Java JDK 
Author Message
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Hey everyone,

I just installed the 64-bit version of the Java JDK a couple of days ago to build a project using Red5. I ran into some errors after I went back to a regular project in FlashDevelop and I had a difficult time finding help on the internet as to why things were not working. I wanted to share the symptoms I suffered and the solution I found in case someone else struggles with this same scenario.

Symptoms

1. FlashDevelop compiles empty SWFs
2. FlashDevelop output reads "INITIALIZING ?" after compiling
3. Running mxmlc from the command line returns "Error: could not find JRE"

Solution

1. Install a 32-bit Java runtime on your machine
2. Set the JAVA_HOME environment variable to this 32-bit install, or open jvm.config in your Flex SDK bin directory, and set java.home to the directory of your 32-bit install.

Example

Here is what java.home looks like now in my jvm.config file:

Code:
java.home=C:/Program Files (x86)/Java/jre1.5.0_06

Make sure to use forward slashes; otherwise mxmlc will return "Error: could not find a JVM"


Mon Oct 06, 2008 12:23 am
Profile WWW
Member

Joined: Mon Mar 22, 2010 7:16 am
Posts: 2
Reply with quote
Thanks for posting the fix that worked for you Elyon. I was able to get things working on my system by setting JAVA_HOME in my environment variables to the 64 bit install of JRE. I didn't need to edit jvm.config or download 32 bit version of Java. I was not doing anything with Red5, however. Maybe that requires the steps you describe.


Mon Mar 22, 2010 7:20 am
Profile
Member

Joined: Wed Aug 01, 2007 3:37 pm
Posts: 1223
Location: Grizzly Flats, CA
Reply with quote
Oh, interesting. What version of Java? What version of the Flex SDK?

Perhaps Adobe or Sun finally fixed this issue


Mon Mar 22, 2010 9:16 am
Profile WWW
Member

Joined: Mon Mar 22, 2010 7:16 am
Posts: 2
Reply with quote
Java 1.6.0_18 and Flex SDK 4 (the one released today.) Thanks a bunch for your post though. It was only through following your steps that I was able to arrive at mine.


Tue Mar 23, 2010 6:20 am
Profile
Member

Joined: Mon Nov 29, 2010 4:54 am
Posts: 1
Reply with quote
I still could not use the 64-bit JRE (version jave 1.6.0.22) with the Flex SDK 4. I had to install a 32-bit JRE and it works.


Mon Nov 29, 2010 4:57 am
Profile
Member

Joined: Thu Jun 21, 2012 11:32 am
Posts: 2
Reply with quote
Where did you downloaded JRE 1.6? I could find only 1.7 version (http://www.java.com/ru/download/index.jsp) and FD doesn't work with it


Thu Jun 21, 2012 11:51 am
Profile
Member

Joined: Wed Apr 29, 2009 12:05 pm
Posts: 225
Reply with quote
http://www.java.com/en/download/manual.jsp

Get the 32bit version.


Wed Aug 22, 2012 2:42 pm
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 7 posts ] 

Who is online

Users browsing this forum: No registered users and 10 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.